Ethiack Docs
Audit logs

List Audit Logs

GET
/v1/audit-logs/

Fetches a list of audit logs for the organization, with support for filtering and pagination.

Note: Only organization owners and admins can access this endpoint. Organization ID is auto-detected if user belongs to only one organization.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Query Parameters

organization_id?integer

Organization ID (auto-detected if not provided)

start_date?string

Filter logs from this date (ISO 8601 format)

Formatdate-time
end_date?string

Filter logs until this date (ISO 8601 format)

Formatdate-time
operation?string

Filter by operation (e.g., 'user.profile.edit')

operation_category?string

Filter by operation category (e.g., 'user', 'finding')

status?string

Filter by status ('success' or 'failure')

actor_id?string

Filter by actor ID

resource_type?string

Filter by resource type

resource_id?string

Filter by resource ID

page?integer

Page number

per_page?integer

Number of audit logs per page

Response Body

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/audit-logs/"
{
  "total": 0,
  "page": 0,
  "per_page": 0,
  "audit_logs": [
    {
      "id": "string",
      "timestamp": "2019-08-24T14:15:22Z",
      "actor_type": "string",
      "actor_id": "string",
      "operation": "string",
      "operation_category": "string",
      "resource_type": "string",
      "resource_id": "string",
      "status": "string",
      "metadata": null
    }
  ]
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}